Horizontal BoxPlot in Vue

Using ApexCharts with Vue

This Horizontal BoxPlot example wires ApexCharts into Vue through the vue3-apexcharts component.

Install it with npm install vue3-apexcharts apexcharts, then mount the chart with <apexchart type="..." :options="options" :series="series" />.

Vue charts guide
<template>
  <div>
    <div id="chart">
      <apexchart
        type="boxPlot"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          data: [
            {
              x: 'Engineering',
              y: [54, 66, 69, 75, 88],
              goals: [
                {
                  value: 90,
                  strokeWidth: 10,
                  strokeHeight: 0,
                  strokeLineCap: 'round',
                  strokeColor: '#F283B6',
                },
                {
                  value: 93,
                  strokeWidth: 10,
                  strokeHeight: 0,
                  strokeLineCap: 'round',
                  strokeColor: '#F283B6',
                },
              ],
            },
            {
              x: 'Sales',
              y: [43, 65, 69, 76, 81],
            },
            {
              x: 'Marketing',
              y: [31, 39, 45, 51, 59],
            },
            {
              x: 'Support',
              y: [39, 46, 55, 65, 71],
              goals: [
                {
                  value: 30,
                  strokeWidth: 10,
                  strokeHeight: 0,
                  strokeLineCap: 'round',
                  strokeColor: '#F283B6',
                },
                {
                  value: 32,
                  strokeWidth: 10,
                  strokeHeight: 0,
                  strokeLineCap: 'round',
                  strokeColor: '#F283B6',
                },
                {
                  value: 76,
                  strokeWidth: 10,
                  strokeHeight: 0,
                  strokeLineCap: 'round',
                  strokeColor: '#F283B6',
                },
              ],
            },
            {
              x: 'Design',
              y: [41, 49, 58, 61, 67],
            },
          ],
        },
      ],
      chartOptions: {
        chart: {
          type: 'boxPlot',
          height: 350,
        },
        title: {
          text: 'Salary Range by Department ($k)',
          align: 'left',
        },
        plotOptions: {
          bar: {
            horizontal: true,
            barHeight: '40%',
          },
          boxPlot: {
            colors: {
              upper: '#B6C454',
              lower: '#EDBFB7',
            },
          },
        },
        stroke: {
          colors: ['#333'],
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 650px;
  margin: 35px auto;
}
</style>

Horizontal BoxPlot in React

Using ApexCharts with React

This Horizontal BoxPlot example wires ApexCharts into React through the react-apexcharts component.

Install it with npm install react-apexcharts apexcharts, then mount the chart with <Chart type="..." options={options} series={series} />.

React charts guide
import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        data: [
          {
            x: 'Engineering',
            y: [54, 66, 69, 75, 88],
            goals: [
              {
                value: 90,
                strokeWidth: 10,
                strokeHeight: 0,
                strokeLineCap: 'round',
                strokeColor: '#F283B6',
              },
              {
                value: 93,
                strokeWidth: 10,
                strokeHeight: 0,
                strokeLineCap: 'round',
                strokeColor: '#F283B6',
              },
            ],
          },
          {
            x: 'Sales',
            y: [43, 65, 69, 76, 81],
          },
          {
            x: 'Marketing',
            y: [31, 39, 45, 51, 59],
          },
          {
            x: 'Support',
            y: [39, 46, 55, 65, 71],
            goals: [
              {
                value: 30,
                strokeWidth: 10,
                strokeHeight: 0,
                strokeLineCap: 'round',
                strokeColor: '#F283B6',
              },
              {
                value: 32,
                strokeWidth: 10,
                strokeHeight: 0,
                strokeLineCap: 'round',
                strokeColor: '#F283B6',
              },
              {
                value: 76,
                strokeWidth: 10,
                strokeHeight: 0,
                strokeLineCap: 'round',
                strokeColor: '#F283B6',
              },
            ],
          },
          {
            x: 'Design',
            y: [41, 49, 58, 61, 67],
          },
        ],
      },
    ],
    options: {
      chart: {
        type: 'boxPlot',
        height: 350,
      },
      title: {
        text: 'Salary Range by Department ($k)',
        align: 'left',
      },
      plotOptions: {
        bar: {
          horizontal: true,
          barHeight: '40%',
        },
        boxPlot: {
          colors: {
            upper: '#B6C454',
            lower: '#EDBFB7',
          },
        },
      },
      stroke: {
        colors: ['#333'],
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="boxPlot"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart

Horizontal BoxPlot in Angular

Using ApexCharts with Angular

This Horizontal BoxPlot example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide

This demo uses imperative chart updates. The generated code is a faithful Angular translation: open it in CodeSandbox to run and tweak.

import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              data: [
                {
                  x: 'Engineering',
                  y: [54, 66, 69, 75, 88],
                  goals: [
                    {
                      value: 90,
                      strokeWidth: 10,
                      strokeHeight: 0,
                      strokeLineCap: 'round',
                      strokeColor: '#F283B6',
                    },
                    {
                      value: 93,
                      strokeWidth: 10,
                      strokeHeight: 0,
                      strokeLineCap: 'round',
                      strokeColor: '#F283B6',
                    },
                  ],
                },
                {
                  x: 'Sales',
                  y: [43, 65, 69, 76, 81],
                },
                {
                  x: 'Marketing',
                  y: [31, 39, 45, 51, 59],
                },
                {
                  x: 'Support',
                  y: [39, 46, 55, 65, 71],
                  goals: [
                    {
                      value: 30,
                      strokeWidth: 10,
                      strokeHeight: 0,
                      strokeLineCap: 'round',
                      strokeColor: '#F283B6',
                    },
                    {
                      value: 32,
                      strokeWidth: 10,
                      strokeHeight: 0,
                      strokeLineCap: 'round',
                      strokeColor: '#F283B6',
                    },
                    {
                      value: 76,
                      strokeWidth: 10,
                      strokeHeight: 0,
                      strokeLineCap: 'round',
                      strokeColor: '#F283B6',
                    },
                  ],
                },
                {
                  x: 'Design',
                  y: [41, 49, 58, 61, 67],
                },
              ],
            },
          ],
          chart: {
            type: 'boxPlot',
            height: 350,
          },
          title: {
            text: 'Salary Range by Department ($k)',
            align: 'left',
          },
          plotOptions: {
            bar: {
              horizontal: true,
              barHeight: '40%',
            },
            boxPlot: {
              colors: {
                upper: '#B6C454',
                lower: '#EDBFB7',
              },
            },
          },
          stroke: {
            colors: ['#333'],
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}